Bug 15218 - Make processes that rely on background jobs run in CGI mode
Summary: Make processes that rely on background jobs run in CGI mode
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17240
  Show dependency treegraph
 
Reported: 2015-11-19 15:08 UTC by Tomás Cohen Arazi
Modified: 2016-09-02 11:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15218: (Plack) background-job-process.pl should be run in CGI mode (1.48 KB, patch)
2015-11-19 15:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 15218: (Plack) Make processes that rely on background jobs run in CGI mode (2.16 KB, patch)
2015-11-20 03:15 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 15218: (Plack) Make processes that rely on background jobs run in CGI mode (2.23 KB, patch)
2015-11-20 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 15218 [QA Followup] - Fix wording of comment (1.02 KB, patch)
2015-11-20 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-11-19 15:08:50 UTC
On starman, the background-job-process.pl script dies as shown in bug 15032.
For the 3.22 release (due in a week) we should make it run in CGI mode, until we fix it.
Comment 1 Tomás Cohen Arazi 2015-11-19 15:13:24 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-11-20 03:15:32 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-11-20 14:13:45 UTC
Created attachment 45044 [details] [review]
[PASSED QA] Bug 15218: (Plack) Make processes that rely on background jobs run in CGI mode

This patch adds an entry to the plack-related apache configuration so the
problematic scripts (that fail under plack/starman) are not processed through
Plack but in CGI mode instead.

To test:
- Follow the setup steps from bug 15032
- Add the line from this patch to /etc/koha/apache-shared-intranet-plack.conf
 (if you are on kohadevbox you should probably change the filesystem path to
  /home/vagrant/kohaclone/tools/background-job-process.pl)
- Do the full import process of MARC data.
=> SUCCESS: It works as expected.
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2015-11-20 14:13:54 UTC
Created attachment 45045 [details] [review]
[PASSED QA] Bug 15218 [QA Followup] - Fix wording of comment

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-11-20 14:26:05 UTC
Patches pushed to master.

Thanks for the followup, Kyle!